<%--
  Created by IntelliJ IDEA.
  User: user
  Date: 2019/8/7
  Time: 18:39
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>wbs</title>
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/layui/css/layui.css">
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/common.css"/>
</head>
<style>
    .btn_out{
        width: 100px;
        margin: 0;
        float: right;
        margin-right:2%;
    }
</style>
<body>
    <!-----------本体部分--------->
    <fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;">
        <legend>本体部分</legend>
    </fieldset>
    <div class="" style="margin-left: 10px;margin-right: 10px;margin-top: 10px;">
        <button type="button" class="layui-btn layui-btn-fluid btn_out">导出</button>
        <table id="table1" class="layui-table" lay-filter="table1"></table>
    </div>
    <!-----------其他部分--------->
    <fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;">
        <legend>其他部分</legend>
    </fieldset>
    <div class="" style="margin-left: 10px;margin-right: 10px;">
        <table id="table2" class="layui-table" lay-filter="table2"></table>
    </div>
    <!-----------未识别部分--------->
    <fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;">
        <legend>未识别部分</legend>
    </fieldset>
    <div style="height: 200px;width: 100%;">
    </div>
</body>
<script src="${ctxp}/static/plugin/assets/layui/layui.js"></script>
<script>
    layui.config({
        base: '${ctxp}/static/plugin/assets/'
    }).extend({
        treetable: 'treetable-lay/treetable'
    }).use(['layer', 'table', 'treetable'], function () {
        var $ = layui.jquery;
        var table = layui.table;
        var layer = layui.layer;
        var treetable = layui.treetable;

        var renderTable1 = function () {
            layer.load(2);
            treetable.render({
                treeColIndex: 1,
                treeSpid: -1,
                treeIdName: 'id',
                treePidName: 'pid',
                treeDefaultClose: false,
                treeLinkage: false,
                elem: '#table1',
                <%--url: '${ctxp}/webpage/modules/sys/free/selfwbs.json',--%>
                page: false,
                cols: [[
                    {type: 'numbers',align:'center',width:50, rowspan:'3'},
                    {field: 'wbsys', title: 'WBS要素', align:'center',width:200, rowspan:'3'},
//                  {field: 'cj', title: '层级',align:'center',width:60, rowspan:'3'},
                    {field:'wbssbm',width:100, align:'center',rowspan:'2',title:"wbs识别码",rowspan:3},
                    {field:'fbfxysj', align:'center', title: '分布分项(原数据)',colspan:'5'},
                    {field:'fbfxtch',align:'center',title:'分布分项(调差后)',colspan:'4'},
                    {field:'csf1',align:'center',title:'措施费一',colspan:'2'},
                    {field:'csf2',align:'center',width:90,title:'措施费二',rowspan:'3'},
                    {field:'qtf',align:'center',width:80,title:'其他费',rowspan:'3'},
                    {field:'gf',align:'center',width:60,title:'规费',rowspan:'3'},
                    {field:'sf',align:'center',width:60,title:'税金',rowspan:'3'},
                    {field:'hj',align:'center',width:80,title:'合计',rowspan:'3'}
//                  {field:'11',align:'center',width:40,title:'',rowspan:'3'}
//                  {templet: '#oper-col', title: 'oper'}
                ],[
                    {field:'hjje', width:90,align:'center',title:'合计金额',rowspan:'2'},
                    {field:'rgf', width:80,align:'center',title:'人工费',rowspan:'2'},
                    {field:'cl', width:80,align:'center',title:'材料',colspan:'2'},
                    {field:'jxf1', width:80,align:'center',title:'机械费',rowspan:'2'},

                    {field:'rgf2', width:80,align:'center',title:'人工费',rowspan:'2'},
                    {field:'cl2', width:80,align:'center',title:'材料',colspan:'2'},
//              	 {field:'cbrcg2', width:100,title:'承包人采购'},
//              	 {field:'fbrcg2', width:100,title:'发包人采购'},
                    {field:'jxf2', width:80,align:'center',title:'机械费',rowspan:'2'},

                    {field:'csf_1', width:100,align:'center',title:'措施费-1',rowspan:'2'},
                    {field:'csf_2', width:100,align:'center',title:'措施费-2',rowspan:'2'}
                ],[
                    {field:'cbrcg', width:100,align:'center',title:'承包人采购'},
                    {field:'fbrcg', width:100,align:'center',title:'发包人采购'},
                    {field:'cbrcg2', width:100,align:'center',title:'承包人采购'},
                    {field:'fbrcg2', width:100,align:'center',title:'发包人采购'},

                ]]
                ,data: [
                <c:if test="${ not empty list}">
                <c:forEach items="${list}" var="data" varStatus="index">
                {
                    "id": "${data.wbsCode}",
                    "wbsys":"${data.describe}",
                    "wbssbm": "${data.wbsCode}",
                    "hjje": "${data.originalTotalCost}",
                    "rgf": "${data.originalRgCost}",
                    "cbrcg": "${data.originalCbrCost}",
                    "fbrcg": "${data.originalFbrCost}",
                    "jxf1": "${data.originalJxCost}",
                    "rgf2": "${data.rgCost}",
                    "cbrcg2": "${data.cbrCost}",
                    "fbrcg2":"${data.fbrCost}",
                    "jxf2": "${data.jxCost}",
                    "csf_1": "${data.measuresFee1}",
                    "csf_2": "${data.measuresFee2}",
                    "csf2": "${data.measuresFee3}",
                    "qtf":"${data.otherCost}",
                    "gf":"${data.fees}",
                    "sf":"${data.tax}",
                    "hj": "${data.totalFee}",
                    "pid": "${data.parentNode}"
                    // "id": 1,
                    // "wbsys":"WBS要素1",
                    // "wbssbm": "WBS识别码",
                    // "hjje": "合计金额",
                    // "rgf": "人工费1",
                    // "cbrcg": "承包人采购",
                    // "fbrcg": "发包人采购",
                    // "jxf1": "机械费1",
                    // "rgf2": "人工费2",
                    // "cbrcg2": "承包人采购2",
                    // "fbrcg2":"承包人采购2",
                    // "jxf2": "机械费2",
                    // "csf_1": "措施费-1",
                    // "csf_2": "措施费-2",
                    // "csf2": "措施费2",
                    // "qtf":"其他费",
                    // "gf":"规费",
                    // "sf":"税金",
                    // "hj": "合计",
                    // "pid": -1
                },
                </c:forEach>
                </c:if>
            ],
                done: function () {
                    layer.closeAll('loading');
                }
            });
        };

        renderTable1();
    });
</script>
<script>
    layui.use(['table', 'form', 'element', 'treetable'], function () {
        var $ = layui.jquery;
        var table = layui.table;
        var form = layui.form;
        var element = layui.element;
        var treetable = layui.treetable;

        // 渲染表格
        var renderTable2 = function () {
            layer.load(2);
            treetable.render({
                treeColIndex: 1,
                treeSpid: -1,
                treeIdName: 'd_id',
                treePidName: 'd_pid',
                elem: '#table2',
                <%--url: '${ctxp}/webpage/modules/sys/free/other.json',--%>
                page: false,
                cols: [[
                    {type: 'numbers'},
//                  {field: 'id', title: 'WBS要素'},
                    {field: 'wbsys', title: 'WBS要素'},
                    {field: 'wbssbm', title: 'WBS识别码'},
                    {field: 'money', title: '金额'},
//                  {field: 'pid', title: 'pid'},
                ]]
                ,data: [
                <%--<c:if test="${ not empty page.list}">--%>
                <%--<c:forEach items="${page.list}" var="data" varStatus="index">--%>
                <%--<c:if test="${index.index != 0}">,</c:if>--%>
                {
                    "d_id": 1,
                    "wbsys": "wbs要素",
                    "wbssbm": "wbs识别码",
                    "money": "888888",
                    "d_pid": -1

                },
                    {
                        "d_id": 2,
                        "wbsys": "wbs要素",
                        "wbssbm": "wbs识别码",
                        "money": "888888",
                        "d_pid": 1

                    },
                <%--</c:forEach>--%>
                <%--</c:if>--%>
            ],
                done: function () {
                    layer.closeAll('loading');
                }
            });
        };

        renderTable2();
    });
</script>
</html>
